Bug 470787 - X server crashes
X server crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 04:58 EST by hayim
Modified: 2018-04-11 05:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (28.06 KB, text/plain)
2008-11-12 05:45 EST, hayim
no flags Details
xorg.conf (1012 bytes, text/plain)
2008-11-12 05:46 EST, hayim
no flags Details
stdout/stderr of startx (2.99 KB, text/plain)
2008-11-12 05:47 EST, hayim
no flags Details

  None (edit)
Description hayim 2008-11-10 04:58:08 EST
Description of problem:

Fedora 9 (upgraded from FC8) installed on Lenovo N200.
Since the upgrade 2-3 time a day the X server crashes.

(I am logged out in the middle of work)
Comment 1 Matěj Cepl 2008-11-10 13:12:56 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 hayim 2008-11-12 05:45:11 EST
Created attachment 323319 [details]
Xorg.0.log
Comment 3 hayim 2008-11-12 05:46:00 EST
Created attachment 323320 [details]
xorg.conf
Comment 4 hayim 2008-11-12 05:47:16 EST
Created attachment 323321 [details]
stdout/stderr of startx

the output of startx, when running in initlevel 3 and running X manually
Comment 5 hayim 2008-11-25 07:14:09 EST
I saw this in dmesg, after two crashes:

X[2679]: segfault at 10000084 eip 479327dd esp bfa29638 error 6
tomboy[2971]: segfault at b6f4f2f8 eip b6f4f2f8 esp bfebcdfc error 4
npviewer.bin[3864]: segfault at 00000013 eip b7b0fdb7 esp bf8aa6c4 error 4
X[3211]: segfault at 10000084 eip 479327dd esp bfc26f08 error 6
tomboy[3446]: segfault at b6fa02f8 eip b6fa02f8 esp bfb4e72c error 4
Comment 6 Bug Zapper 2009-06-09 23:14:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:50:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.